"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoogleMaps = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var GoogleMaps = function (_a) {
    var width = _a.width, height = _a.height, color = _a.color, simpleIcon = _a.simpleIcon;
    return (react_1.default.createElement("svg", { xmlns: 'http://www.w3.org/2000/svg', "aria-label": 'Google Maps', role: 'img', fill: color ? color : '#FFFFFF', viewBox: '0 0 512 512', width: width, height: height },
        react_1.default.createElement("rect", { width: '512', height: '512', fill: 'current' }),
        react_1.default.createElement("clipPath", { id: 'a' },
            react_1.default.createElement("path", { d: 'M375 136a133 133 0 00-79-66 136 136 0 00-40-6 133 133 0 00-103 48 133 133 0 00-31 86c0 38 13 64 13 64 15 32 42 61 61 86a399 399 0 0130 45 222 222 0 0117 42c3 10 6 13 13 13s11-5 13-13a228 228 0 0116-41 472 472 0 0145-63c5-6 32-39 45-64 0 0 15-29 15-68 0-37-15-63-15-63z' })),
        react_1.default.createElement("g", { strokeWidth: '130', clipPath: 'url(#a)' },
            react_1.default.createElement("path", { stroke: simpleIcon ? '#ffffff' : '#fbbc04', d: 'M104 379l152-181' }),
            react_1.default.createElement("path", { stroke: simpleIcon ? '#ffffff' : '#4285f4', d: 'M256 198L378 53' }),
            react_1.default.createElement("path", { stroke: simpleIcon ? '#ffffff' : '#34a853', d: 'M189 459l243-290' }),
            react_1.default.createElement("path", { stroke: simpleIcon ? '#ffffff' : '#1a73e8', d: 'M255 120l-79-67' }),
            react_1.default.createElement("path", { stroke: simpleIcon ? '#ffffff' : '#ea4335', d: 'M76 232l91-109' })),
        react_1.default.createElement("circle", { cx: '256', cy: '198', r: '51', fill: 'current' })));
};
exports.GoogleMaps = GoogleMaps;
//# sourceMappingURL=GoogleMaps.js.map