import { CSSProperties, FC } from 'react';
import { SocialIconSize, Shapes, SocialNetwork } from '../types';
interface SocialIconProps {
    onClick?: () => void;
    network: SocialNetwork;
    color?: string;
    size?: SocialIconSize | number;
    shape?: number | Shapes;
    styles?: CSSProperties;
    simpleIcon?: boolean;
    className?: string;
    link?: string;
    blank?: boolean;
}
declare const SocialIcon: FC<SocialIconProps>;
export default SocialIcon;
